summaryrefslogtreecommitdiff
path: root/alpine/nano.sh
diff options
context:
space:
mode:
Diffstat (limited to 'alpine/nano.sh')
-rwxr-xr-xalpine/nano.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/alpine/nano.sh b/alpine/nano.sh
new file mode 100755
index 0000000..d928d0e
--- /dev/null
+++ b/alpine/nano.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+#
+# Copyright (C) 2025-2026 Maria Lisina
+# SPDX-License-Identifier: Apache-2.0
+#
+# nano configuration
+
+set -e
+
+sed -i \
+ -e 's/^# set historylog$/set historylog/' \
+ -e 's|^# include /usr/share/nano/\*.nanorc$|include /usr/share/nano/\*.nanorc|' \
+ /etc/nanorc